class GetBasicDetNtfBodyList {
  String? prevSegmentValueDsp;
  String? segmentPrompt;
  String? segmentValueDsp;
  String? updatedFlag;

  GetBasicDetNtfBodyList({this.prevSegmentValueDsp, this.segmentPrompt, this.segmentValueDsp, this.updatedFlag});

  GetBasicDetNtfBodyList.fromJson(Map<String, dynamic> json) {
    prevSegmentValueDsp = json['PREV_SEGMENT_VALUE_DSP'];
    segmentPrompt = json['SEGMENT_PROMPT'];
    segmentValueDsp = json['SEGMENT_VALUE_DSP'];
    updatedFlag = json['UPDATED_FLAG'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['PREV_SEGMENT_VALUE_DSP'] = this.prevSegmentValueDsp;
    data['SEGMENT_PROMPT'] = this.segmentPrompt;
    data['SEGMENT_VALUE_DSP'] = this.segmentValueDsp;
    data['UPDATED_FLAG'] = this.updatedFlag;
    return data;
  }
}
